packadd termdebug
compiler cargo
let g:termdebugger='rust-gdb'

augroup lsp
  autocmd!
  autocmd CursorMoved <buffer> lua vim.lsp.codelens.refresh()
augroup end
nmap <buffer> <silent> z! :lua vim.lsp.codelens.run()<cr>

nmap <buffer> gs :10 split term://cargo run<cr>:startinsert<cr>
nmap <buffer> <localleader>dd :Termdebug target/debug/%:r<cr>
nmap <buffer> gO :lua vim.lsp.buf.workspace_symbol()<cr>
nmap <buffer> <silent> go :RustParentModule<cr>
nmap <buffer> <silent> g= :lua vim.lsp.buf.format()<cr>

ia <buffer> dd #[derive(Debug)]
ia <buffer> pp println!("DEBUG: {:#?}",);<Left><Left>
