vim.api.nvim_exec(
  [[
augroup term
  autocmd!
  autocmd TermOpen * tnoremap <Esc> <C-\><C-n>
  autocmd TermOpen * setlocal nonumber norelativenumber
augroup END
augroup fzf
  autocmd!
  autocmd FileType fzf tnoremap <buffer> <Esc> <Esc>
  autocmd FileType fzf set laststatus=0 noshowmode noruler
    \| autocmd BufLeave <buffer> set laststatus=3 showmode ruler
augroup END
augroup ftdetect
  autocmd!
  " autocmd BufNewFile,BufRead *.fasta set ft=fasta
  autocmd BufRead,BufNewFile *.rkt,*.rktl set filetype=racket
  autocmd BufRead,BufNewFile *.m,*.nb,*.wl,*.wls set filetype=mma
  autocmd BufNewFile,BufRead *.purs set filetype=purescript
augroup END
augroup whitespace
  autocmd!
  autocmd BufWritePre * %s/\s\+$//e
augroup END
]],
  true
)
-- augroup templates
--   autocmd!
--   autocmd BufNewFile *.hs 0r ~/.config/nvim/templates/haskell.hs
--   autocmd BufNewFile *.org 0r ~/.config/nvim/templates/org.org
--   autocmd BufNewFile *.scm 0r ~/.config/nvim/templates/scheme.scm
--   autocmd BufNewFile *.ros 0r ~/.config/nvim/templates/roswell.ros
--   autocmd BufNewFile *.sh 0r ~/.config/nvim/templates/bash.sh
-- augroup END
-- augroup gitstatusline
--   autocmd!
--   autocmd BufNewFile,BufReadPost * call gitbranch#detect(expand('<amatch>:p:h'))
--   autocmd BufEnter * call gitbranch#detect(expand('%:p:h'))
--   autocmd BufEnter,FocusGained,BufWritePost *
--        \ let b:git_status = system(printf("cd %s && git status --porcelain 2>/dev/null", expand('%:p:h:S'))) is# ''
-- augroup END
