augroup whitespace
  autocmd!
  au BufWinEnter *.py let w:m2=matchadd('WarningMsg', '\%>80v.\+', -1)
  au BufWinLeave *.py call clearmatches()
augroup END

augroup qf
  autocmd!
  autocmd QuickFixCmdPost [^l]* nested cwindow
  autocmd QuickFixCmdPost    l* nested lwindow
augroup END

packadd termdebug
compiler gcc
setlocal makeprg=gcc\ -Wall\ -g\ -ggdb3\ %\ -o\ %<
setlocal equalprg=clang-format

" FIXME: replace a.out with Makefile's target or exec in project directory
nmap <buffer> gs :10 split term://zig cc -g % && ./a.out<cr>:startinsert<cr>
nmap <buffer> <localleader>dd :Termdebug a.out<cr>
nmap <buffer> gO :lua vim.lsp.buf.workspace_symbol()<cr>
nmap <buffer> <silent> g= :lua vim.lsp.buf.format()<cr>
nmap <buffer> <silent> go  :ClangdSwitchSourceHeader<cr>

ia <buffer> pp printf("DEBUG:",);<Left><Left>

