setlocal spell
setlocal spelllang=fr,en
setlocal tw=0
setlocal formatoptions+=wq

" https://www.ietf.org/rfc/rfc2822.txt
" only for group-reply since many mail readers, including Gmail or Github won't
" reflow message correctly, and it may mess quoted messages as well.
function! Reflow() abort
  setlocal tw=72 et cc=73
  setlocal list
endfunction

map <buffer> g= <Esc>:call Reflow()<CR>vipgq

iabbrev <buffer> =s christophe lalanne<cr>152E3E3F7C4CCE44<cr>https://aliquote.org
iabbrev <buffer> =S Christophe Lalanne<cr> Ingénieur<cr> UFR Sciences du Vivant - Université Paris Cité<cr> Laboratoire Interdisciplinaire des Energies de Demain<cr> Bâtiment Lamarck B<cr> 35, rue Hélène Brion 75205 Paris Cedex 13<cr> https://u-paris.fr
