syntax region latexDisplayEquation start=/\\\\\[/ end=/\\\\\]/ keepend
syntax region latexDisplayEquationDollars start=/\$\$/ end=/\$\$/ keepend
syntax region latexInlineEquation start=/\\\\(/ end=/\\\\)/ keepend
syntax region latexInlineEquationDollars start=/\$/ end=/\$/ keepend

syntax region citeLatex start=/\\cite{/ end=/}/ keepend
hi link citeLatex Constant

hi link org_todo_keyword_TODO WarningMsg
hi link org_todo_keyword_DONE Type

hi link latexDisplayEquation PreProc
hi link latexDisplayEquationDollars PreProc
hi link latexInlineEquation PreProc
hi link latexInlineEquationDollars PreProc

augroup org_todo
  au!
  au Syntax * syn match MyTodo /\v<(FIXME|NOTE|HACK|TODO|XXX):/
        \ containedin=.*Comment,vimCommentTitle
augroup END

hi def link MyTodo Todo
